View Issue Details

IDProjectCategoryView StatusLast Update
0003036SOGoActiveSyncpublic2014-12-20 15:34
ReporterSigurd Holter Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.12a 
Fixed in Version2.2.13 
Summary0003036: SOGo crashes with signals 6 : REASON:NSConstantString(instance) does not recognize bytes INFO:(null)
Description

SOGo crashes repeatedly for the same user :

Dec 20 08:40:31 sogod [11698]: <0x0x7f9ad3ac4fd0[NGImap4Client]> Note: no key found for sorting, using 'DATE': (null)
Dec 20 08:40:34 sogod [11698]: <0x0x7f9ad3ac4fd0[NGImap4Client]> Note: no key found for sorting, using 'DATE': (null)
Dec 20 08:40:34 sogod [11698]: <0x0x7f9ad095ce20[NGMimeType]> ERROR[+[NGMimeType mimeType:]]: parsing of mimetype '; name="6b2f0a69ce95007ac814d55a714bfe39"' failed !
Dec 20 08:40:34 sogod [11698]: <0x0x7f9ad095ce20[NGMimeType]> ERROR[+[NGMimeType mimeType:]]: parsing of mimetype '; name="6b2f0a69ce95007ac814d55a714bfe39"' failed !
EXCEPTION: <NSException: 0x7f9aee63df60> NAME:NSInvalidArgumentException REASON:NSConstantString(instance) does not recognize bytes INFO:(null)
Dec 20 08:40:34 sogod [46619]: <0x0x7f9ad3452690[WOWatchDogChild]> child 11698 exited
Dec 20 08:40:34 sogod [46619]: <0x0x7f9ad3452690[WOWatchDogChild]> (terminated due to signal 6)

TagsNo tags attached.

Activities

Sigurd Holter

Sigurd Holter

2014-12-20 02:55

reporter   ~0007904

#0 0x00007f9acb0e1989 in raise () from /usr/lib64/libc.so.6
0000001 0x00007f9acb0e3098 in abort () from /usr/lib64/libc.so.6
0000002 0x00007f9ad1e4871e in -[SOGo handleException:inContext:] (self=0x7f9ad34cfe10, _cmd=0x7f9ad0e003d0, _exc=0x7f9ae987dbc0, _ctx=0x7f9ad3511fa0) at SOGo.m:400
0000003 0x00007f9ad0aedeae in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000004 0x00007f9ad0ab71e8 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000005 0x00007f9ad1e4897d in -[SOGo dispatchRequest:] (self=0x7f9ad34cfe10, _cmd=0x7f9ad0e60660, _request=0x7f9ad4261450) at SOGo.m:453
0000006 0x00007f9ad0b43afd in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000007 0x00007f9ad0b451c7 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000008 0x00007f9ad0b402a0 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000009 0x00007f9ad0b41092 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000010 0x00007f9ad0b4140a in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000011 0x00007f9ad0b405f8 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000012 0x00007f9acf2e551f in -[NSNotificationCenter _postAndRelease:] (self=0x7f9ad31b8af0, _cmd=<optimized out>, notification=0x7f9ad3e86580) at NSNotificationCenter.m:1191
0000013 0x00007f9acf3e1e9a in -[GSRunLoopCtxt pollUntil:within:] (self=<optimized out>, _cmd=0x7f9acf7bc420 <_OBJC_SELECTOR_TABLE+1216>, milliseconds=<optimized out>, contexts=<optimized out>)
at GSRunLoopCtxt.m:642
0000014 0x00007f9acf32c9f0 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x7f9ad34d5620, _cmd=0x7f9acf7bc460 <_OBJC_SELECTOR_TABLE+1280>, mode=0x7f9acf7bd230 <_OBJC_INSTANCE_2>, limit_date=<optimized out>)
at NSRunLoop.m:1214
0000015 0x00007f9acf32ce69 in -[NSRunLoop runMode:beforeDate:] (self=0x7f9ad34d5620, _cmd=0x7f9ad0dcadc0, mode=0x7f9acf7bd230 <_OBJC_INSTANCE_2>, date=0x7f9ad3e703b0) at NSRunLoop.m:1275
0000016 0x00007f9ad0ab853e in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000017 0x00007f9ad1e48092 in -[SOGo run] (self=0x7f9ad34cfe10, _cmd=0x7f9ad0e07d00) at SOGo.m:277
0000018 0x00007f9ad0af5f1b in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000019 0x00007f9ad0af4dce in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000020 0x00007f9ad0af6632 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000021 0x00007f9ad0af6b97 in WOWatchDogApplicationMain () from /usr/lib64/libNGObjWeb.so.4.9
0000022 0x00007f9ad1e473c1 in main (argc=7, argv=0x7fffff47cce8, env=0x7fffff47cd28) at sogod.m:53

ludovic

ludovic

2014-12-20 07:25

administrator   ~0007905

Bad stacktrace. Run only one sogod deamon and redo it.

Sigurd Holter

Sigurd Holter

2014-12-20 09:23

reporter   ~0007907

#0 -[NSException raise] (self=0x7f35ff16b700, _cmd=0x7f35e28cbba0 <_OBJC_SELECTOR_TABLE+384>) at NSException.m:960
0000001 0x00007f35e23f92f6 in +[NSException raise:format:] (self=0x7f35e28cbe60 <_OBJC_Class_NSException>, _cmd=<optimized out>, name=0x7f35e28cc4d0 <_OBJC_INSTANCE_4>, format=0x7f35e28f8cb0 <_OBJC_INSTANCE_10>)
at NSException.m:840
0000002 0x00007f35e244bbd8 in -[NSObject doesNotRecognizeSelector:] (self=0x7f35e3aacc30, _cmd=<optimized out>, aSelector=<optimized out>) at NSObject.m:1753
0000003 0x00007f35e24ff233 in GSFFIInvocationCallback (cif=0x7f35ff1375d0, retp=0x7fff16c5ea90, args=<optimized out>, user=0x7f35ff137590) at GSFFIInvocation.m:629
0000004 0x00007f35e0b66b9b in ffi_closure_unix64_inner () from /usr/lib64/libffi.so.6
0000005 0x00007f35e0b66f14 in ffi_closure_unix64 () from /usr/lib64/libffi.so.6
0000006 0x00007f35e3842ddb in _base64Encoding () from /usr/lib64/libNGMime.so.4.9
0000007 0x00007f35e381ed89 in ?? () from /usr/lib64/libNGMime.so.4.9
0000008 0x00007f35e38249dc in ?? () from /usr/lib64/libNGMime.so.4.9
0000009 0x00007f35e3824561 in ?? () from /usr/lib64/libNGMime.so.4.9
0000010 0x00007f35e38321bc in ?? () from /usr/lib64/libNGMime.so.4.9
0000011 0x00007f35e38249dc in ?? () from /usr/lib64/libNGMime.so.4.9
0000012 0x00007f35e3824561 in ?? () from /usr/lib64/libNGMime.so.4.9
0000013 0x00007f35d0fda87b in -[SOGoMailObject(ActiveSync) _sanitizedMIMEMessage] (self=0x7f35ff123ea0, _cmd=0x7f35d11f4ee0 <_OBJC_SELECTOR_TABLE+992>) at SOGoMailObject+ActiveSync.m:378
0000014 0x00007f35d0fdae14 in -[SOGoMailObject(ActiveSync) _preferredBodyDataUsingType:nativeType:] (self=0x7f35ff123ea0, _cmd=0x7f35d11f51b0 <_OBJC_SELECTOR_TABLE+1712>, theType=4, theNativeType=0x7fff16c5ed74)
at SOGoMailObject+ActiveSync.m:450
0000015 0x00007f35d0fdc366 in -[SOGoMailObject(ActiveSync) activeSyncRepresentationInContext:] (self=0x7f35ff123ea0, _cmd=0x7f35d11f2c50 <_OBJC_SELECTOR_TABLE+1264>, _context=0x7f35e6d68c50)
at SOGoMailObject+ActiveSync.m:705
0000016 0x00007f35d0fd7b0e in -[SOGoActiveSyncDispatcher(Sync) processSyncGetChanges:inCollection:withWindowSize:withSyncKey:withFolderType:withFilterType:inBuffer:lastServerKey:] (self=0x7f35e6becdf0,
_cmd=0x7f35d11f2db0 <_OBJC_SELECTOR_TABLE+1616>, theDocumentElement=0x7f35e6f20570, theCollection=0x7f35feebb360, theWindowSize=10, theSyncKey=0x7f35feebec80, theFolderType=ActiveSyncMailFolder,
theFilterType=0x0, theBuffer=0x7f35fee53860, theLastServerKey=0x7fff16c5f018) at SOGoActiveSyncDispatcher+Sync.m:925
0000017 0x00007f35d0fd8a97 in -[SOGoActiveSyncDispatcher(Sync) processSyncCollection:inBuffer:changeDetected:] (self=0x7f35e6becdf0, _cmd=0x7f35d11f2df0 <_OBJC_SELECTOR_TABLE+1680>,
theDocumentElement=0x7f35e6f20570, theBuffer=0x7f35e6b97410, changeDetected=0x7fff16c5f0db "\001") at SOGoActiveSyncDispatcher+Sync.m:1146
0000018 0x00007f35d0fd92af in -[SOGoActiveSyncDispatcher(Sync) processSync:inResponse:] (self=0x7f35e6becdf0, _cmd=0x7f35e69ece20, theDocumentElement=0x7f35e6c3ecc0, theResponse=0x7f35e6c22010)
at SOGoActiveSyncDispatcher+Sync.m:1366
0000019 0x00007f35d0fd38e0 in -[SOGoActiveSyncDispatcher dispatchRequest:inResponse:context:] (self=0x7f35e6becdf0, _cmd=0x7f35d162f480 <_OBJC_SELECTOR_TABLE+96>, theRequest=0x7f35e6bd4b80,
theResponse=0x7f35e6c22010, theContext=0x7f35e6d68c50) at SOGoActiveSyncDispatcher.m:2505
0000020 0x00007f35d1428a7b in -[SOGoMicrosoftActiveSyncActions microsoftServerActiveSyncAction] (self=0x7f35e6c2fc30, _cmd=0x7f35e69ece50) at SOGoMicrosoftActiveSyncActions.m:55
0000021 0x00007f35e3cab714 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000022 0x00007f35e3ca6e38 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000023 0x00007f35e3ca8e09 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000024 0x00007f35e3c43850 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000025 0x00007f35e3c0d1e8 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000026 0x00007f35e4f9e97d in -[SOGo dispatchRequest:] (self=0x7f35e6896c00, _cmd=0x7f35e3fb6660, _request=0x7f35e6bd4b80) at SOGo.m:453
0000027 0x00007f35e3c99afd in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000028 0x00007f35e3c9b1c7 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000029 0x00007f35e3c962a0 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000030 0x00007f35e3c97092 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000031 0x00007f35e3c9740a in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000032 0x00007f35e3c965f8 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000033 0x00007f35e243b51f in -[NSNotificationCenter _postAndRelease:] (self=0x7f35e65afaf0, _cmd=<optimized out>, notification=0x7f35e6ef8350) at NSNotificationCenter.m:1191
0000034 0x00007f35e2537e9a in -[GSRunLoopCtxt pollUntil:within:] (self=<optimized out>, _cmd=0x7f35e2912420 <_OBJC_SELECTOR_TABLE+1216>, milliseconds=<optimized out>, contexts=<optimized out>)
at GSRunLoopCtxt.m:642
0000035 0x00007f35e24829f0 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x7f35e68cc620, _cmd=0x7f35e2912460 <_OBJC_SELECTOR_TABLE+1280>, mode=0x7f35e2913230 <_OBJC_INSTANCE_2>, limit_date=<optimized out>)
at NSRunLoop.m:1214
0000036 0x00007f35e2482e69 in -[NSRunLoop runMode:beforeDate:] (self=0x7f35e68cc620, _cmd=0x7f35e3f20dc0, mode=0x7f35e2913230 <_OBJC_INSTANCE_2>, date=0x7f35e680e120) at NSRunLoop.m:1275
0000037 0x00007f35e3c0e53e in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000038 0x00007f35e4f9e092 in -[SOGo run] (self=0x7f35e6896c00, _cmd=0x7f35e3f5dd00) at SOGo.m:277
0000039 0x00007f35e3c4bf1b in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000040 0x00007f35e3c4adce in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000041 0x00007f35e3c4c632 in ?? () from /usr/lib64/libNGObjWeb.so.4.9

Sigurd Holter

Sigurd Holter

2014-12-20 09:24

reporter   ~0007908

0000042 0x00007f35e3c4cb97 in WOWatchDogApplicationMain () from /usr/lib64/libNGObjWeb.so.4.9
0000043 0x00007f35e4f9d3c1 in main (argc=7, argv=0x7fff16c61c48, env=0x7fff16c61c88) at sogod.m:53

Sigurd Holter

Sigurd Holter

2014-12-20 09:24

reporter   ~0007909

Breakpoint for abort :

#0 0x00007f35de238f50 in abort () from /usr/lib64/libc.so.6
0000001 0x00007f35e4f9e71e in -[SOGo handleException:inContext:] (self=0x7f35e6896c00, _cmd=0x7f35e3f563d0, _exc=0x7f35ff16b700, _ctx=0x7f35e6d68c50) at SOGo.m:400
0000002 0x00007f35e3c43eae in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000003 0x00007f35e3c0d1e8 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000004 0x00007f35e4f9e97d in -[SOGo dispatchRequest:] (self=0x7f35e6896c00, _cmd=0x7f35e3fb6660, _request=0x7f35e6bd4b80) at SOGo.m:453
0000005 0x00007f35e3c99afd in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000006 0x00007f35e3c9b1c7 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000007 0x00007f35e3c962a0 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000008 0x00007f35e3c97092 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000009 0x00007f35e3c9740a in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000010 0x00007f35e3c965f8 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000011 0x00007f35e243b51f in -[NSNotificationCenter _postAndRelease:] (self=0x7f35e65afaf0, _cmd=<optimized out>, notification=0x7f35e6ef8350) at NSNotificationCenter.m:1191
0000012 0x00007f35e2537e9a in -[GSRunLoopCtxt pollUntil:within:] (self=<optimized out>, _cmd=0x7f35e2912420 <_OBJC_SELECTOR_TABLE+1216>, milliseconds=<optimized out>, contexts=<optimized out>)
at GSRunLoopCtxt.m:642
0000013 0x00007f35e24829f0 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x7f35e68cc620, _cmd=0x7f35e2912460 <_OBJC_SELECTOR_TABLE+1280>, mode=0x7f35e2913230 <_OBJC_INSTANCE_2>, limit_date=<optimized out>)
at NSRunLoop.m:1214
0000014 0x00007f35e2482e69 in -[NSRunLoop runMode:beforeDate:] (self=0x7f35e68cc620, _cmd=0x7f35e3f20dc0, mode=0x7f35e2913230 <_OBJC_INSTANCE_2>, date=0x7f35e680e120) at NSRunLoop.m:1275
0000015 0x00007f35e3c0e53e in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000016 0x00007f35e4f9e092 in -[SOGo run] (self=0x7f35e6896c00, _cmd=0x7f35e3f5dd00) at SOGo.m:277
0000017 0x00007f35e3c4bf1b in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000018 0x00007f35e3c4adce in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000019 0x00007f35e3c4c632 in ?? () from /usr/lib64/libNGObjWeb.so.4.9
0000020 0x00007f35e3c4cb97 in WOWatchDogApplicationMain () from /usr/lib64/libNGObjWeb.so.4.9
0000021 0x00007f35e4f9d3c1 in main (argc=7, argv=0x7fff16c61c48, env=0x7fff16c61c88) at sogod.m:53

ludovic

ludovic

2014-12-20 09:48

administrator   ~0007910

Install the sope debugging symbols.

Set a breakpoint on "raise"

When it's raised, produce a stack trace.

Sigurd Holter

Sigurd Holter

2014-12-20 09:56

reporter   ~0007911

#0 -[NSException raise] (self=0x7fed097c4320, _cmd=0x7fecedcc6ba0 <_OBJC_SELECTOR_TABLE+384>) at NSException.m:960
0000001 0x00007feced7f42f6 in +[NSException raise:format:] (self=0x7fecedcc6e60 <_OBJC_Class_NSException>, _cmd=<optimized out>, name=0x7fecedcc74d0 <_OBJC_INSTANCE_4>, format=0x7fecedcf3cb0 <_OBJC_INSTANCE_10>)
at NSException.m:840
0000002 0x00007feced846bd8 in -[NSObject doesNotRecognizeSelector:] (self=0x7feceeea7c30, _cmd=<optimized out>, aSelector=<optimized out>) at NSObject.m:1753
0000003 0x00007feced8fa233 in GSFFIInvocationCallback (cif=0x7fed097c25b0, retp=0x7fff9bf1f450, args=<optimized out>, user=0x7fed097c2570) at GSFFIInvocation.m:629
0000004 0x00007fecebf61b9b in ffi_closure_unix64_inner () from /lib64/libffi.so.6
0000005 0x00007fecebf61f14 in ffi_closure_unix64 () from /lib64/libffi.so.6
0000006 0x00007feceec3dddb in _base64Encoding () from /lib64/libNGMime.so.4.9
0000007 0x00007feceec19d89 in ?? () from /lib64/libNGMime.so.4.9
0000008 0x00007feceec1f9dc in ?? () from /lib64/libNGMime.so.4.9
0000009 0x00007feceec1f561 in ?? () from /lib64/libNGMime.so.4.9
0000010 0x00007feceec2d1bc in ?? () from /lib64/libNGMime.so.4.9
0000011 0x00007feceec1f9dc in ?? () from /lib64/libNGMime.so.4.9
0000012 0x00007feceec1f561 in ?? () from /lib64/libNGMime.so.4.9
0000013 0x00007fecdc3d587b in -[SOGoMailObject(ActiveSync) _sanitizedMIMEMessage] (self=0x7fed0977c8b0, _cmd=0x7fecdc5efee0 <_OBJC_SELECTOR_TABLE+992>) at SOGoMailObject+ActiveSync.m:378
0000014 0x00007fecdc3d5e14 in -[SOGoMailObject(ActiveSync) _preferredBodyDataUsingType:nativeType:] (self=0x7fed0977c8b0, _cmd=0x7fecdc5f01b0 <_OBJC_SELECTOR_TABLE+1712>, theType=4, theNativeType=0x7fff9bf1f734)
at SOGoMailObject+ActiveSync.m:450
0000015 0x00007fecdc3d7366 in -[SOGoMailObject(ActiveSync) activeSyncRepresentationInContext:] (self=0x7fed0977c8b0, _cmd=0x7fecdc5edc50 <_OBJC_SELECTOR_TABLE+1264>, _context=0x7fecf1a6f8f0)
at SOGoMailObject+ActiveSync.m:705
0000016 0x00007fecdc3d2b0e in -[SOGoActiveSyncDispatcher(Sync) processSyncGetChanges:inCollection:withWindowSize:withSyncKey:withFolderType:withFilterType:inBuffer:lastServerKey:] (self=0x7fecf1426b70,
_cmd=0x7fecdc5eddb0 <_OBJC_SELECTOR_TABLE+1616>, theDocumentElement=0x7fecf2037ae0, theCollection=0x7fed09513f10, theWindowSize=10, theSyncKey=0x7fed09517830, theFolderType=ActiveSyncMailFolder,
theFilterType=0x0, theBuffer=0x7fed094ac3f0, theLastServerKey=0x7fff9bf1f9d8) at SOGoActiveSyncDispatcher+Sync.m:925
0000017 0x00007fecdc3d3a97 in -[SOGoActiveSyncDispatcher(Sync) processSyncCollection:inBuffer:changeDetected:] (self=0x7fecf1426b70, _cmd=0x7fecdc5eddf0 <_OBJC_SELECTOR_TABLE+1680>,
theDocumentElement=0x7fecf2037ae0, theBuffer=0x7fecf2207830, changeDetected=0x7fff9bf1fa9b "\001") at SOGoActiveSyncDispatcher+Sync.m:1146
0000018 0x00007fecdc3d42af in -[SOGoActiveSyncDispatcher(Sync) processSync:inResponse:] (self=0x7fecf1426b70, _cmd=0x7fecf1cdfaa0, theDocumentElement=0x7fecf1a42e80, theResponse=0x7fecf1c41dd0)
at SOGoActiveSyncDispatcher+Sync.m:1366
0000019 0x00007fecdc3ce8e0 in -[SOGoActiveSyncDispatcher dispatchRequest:inResponse:context:] (self=0x7fecf1426b70, _cmd=0x7fecdca2a480 <_OBJC_SELECTOR_TABLE+96>, theRequest=0x7fecf2215ee0,
theResponse=0x7fecf1c41dd0, theContext=0x7fecf1a6f8f0) at SOGoActiveSyncDispatcher.m:2505
0000020 0x00007fecdc823a7b in -[SOGoMicrosoftActiveSyncActions microsoftServerActiveSyncAction] (self=0x7fecf1c5d030, _cmd=0x7fecf1d69970) at SOGoMicrosoftActiveSyncActions.m:55
0000021 0x00007fecef0a6714 in ?? () from /lib64/libNGObjWeb.so.4.9
0000022 0x00007fecef0a1e38 in ?? () from /lib64/libNGObjWeb.so.4.9
0000023 0x00007fecef0a3e09 in ?? () from /lib64/libNGObjWeb.so.4.9
0000024 0x00007fecef03e850 in ?? () from /lib64/libNGObjWeb.so.4.9
0000025 0x00007fecef0081e8 in ?? () from /lib64/libNGObjWeb.so.4.9
0000026 0x00007fecf039997d in -[SOGo dispatchRequest:] (self=0x7fecf14ac970, _cmd=0x7fecef3b1660, _request=0x7fecf2215ee0) at SOGo.m:453
0000027 0x00007fecef094afd in ?? () from /lib64/libNGObjWeb.so.4.9
0000028 0x00007fecef0961c7 in ?? () from /lib64/libNGObjWeb.so.4.9
0000029 0x00007fecef0912a0 in ?? () from /lib64/libNGObjWeb.so.4.9
0000030 0x00007fecef092092 in ?? () from /lib64/libNGObjWeb.so.4.9
0000031 0x00007fecef09240a in ?? () from /lib64/libNGObjWeb.so.4.9
0000032 0x00007fecef0915f8 in ?? () from /lib64/libNGObjWeb.so.4.9
0000033 0x00007feced83651f in -[NSNotificationCenter _postAndRelease:] (self=0x7fecf11c64b0, _cmd=<optimized out>, notification=0x7fecf21e6e30) at NSNotificationCenter.m:1191
0000034 0x00007feced932e9a in -[GSRunLoopCtxt pollUntil:within:] (self=<optimized out>, _cmd=0x7fecedd0d420 <_OBJC_SELECTOR_TABLE+1216>, milliseconds=<optimized out>, contexts=<optimized out>)
at GSRunLoopCtxt.m:642
0000035 0x00007feced87d9f0 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x7fecf14e2390, _cmd=0x7fecedd0d460 <_OBJC_SELECTOR_TABLE+1280>, mode=0x7fecedd0e230 <_OBJC_INSTANCE_2>, limit_date=<optimized out>)
at NSRunLoop.m:1214
0000036 0x00007feced87de69 in -[NSRunLoop runMode:beforeDate:] (self=0x7fecf14e2390, _cmd=0x7fecef31bdc0, mode=0x7fecedd0e230 <_OBJC_INSTANCE_2>, date=0x7fecf21ca940) at NSRunLoop.m:1275
0000037 0x00007fecef00953e in ?? () from /lib64/libNGObjWeb.so.4.9
0000038 0x00007fecf0399092 in -[SOGo run] (self=0x7fecf14ac970, _cmd=0x7fecef358d00) at SOGo.m:277
0000039 0x00007fecef046f1b in ?? () from /lib64/libNGObjWeb.so.4.9
0000040 0x00007fecef045dce in ?? () from /lib64/libNGObjWeb.so.4.9
0000041 0x00007fecef047632 in ?? () from /lib64/libNGObjWeb.so.4.9
0000042 0x00007fecef047b97 in WOWatchDogApplicationMain () from /lib64/libNGObjWeb.so.4.9
0000043 0x00007fecf03983c1 in main (argc=9, argv=0x7fff9bf22608, env=0x7fff9bf22658) at sogod.m:53

Sigurd Holter

Sigurd Holter

2014-12-20 09:56

reporter   ~0007912

This is after installing sope49-debuginfo-4.9-20141219

ludovic

ludovic

2014-12-20 09:59

administrator   ~0007913

When the exception is raised, do:

f 13
po message

Check in the mailbox which mail is it, export its EML version and attach it to this email (or send it to me privately).

Sigurd Holter

Sigurd Holter

2014-12-20 10:04

reporter   ~0007914

(gdb) f 13
0000013 0x00007fecdc3d587b in -[SOGoMailObject(ActiveSync) _sanitizedMIMEMessage] (self=0x7fed08c7d6b0, _cmd=0x7fecdc5efee0 <_OBJC_SELECTOR_TABLE+992>) at SOGoMailObject+ActiveSync.m:378
378 d = [generator generateMimeFromPart: message];
(gdb) po message
<NGMimeMessage[0x0x7fed08c6ccd0]: header={"content-disposition" = "<NGMimeContentDispositionHeaderField[0x0x7fed08c6c1d0]: type=inline>"; "content-type" = "<NGMimeType: multipart/related; type=\"multipart/alternative\"; boundary=b1_17c24ad2d8bea1fada25d8552d4b0cec; charset=UTF-8>"; date = "2012-11-22 08:57:31 -0600"; "dkim-signature" = "v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=b2bdeals.info; s=default;h=Content-Transfer-Encoding:Content-Type:List-Unsubscribe:MIME-Version:Reply-To:From:Date:Message-ID:Subject:To; bh=CmsMh7U6LtR3nnGRpGqgiRqgHP098Zae4lfYh8LYpVs=;b=nBUQC4OFm0k0ZcskJ7KxC53kG0fMysYBgSqStN3/K+tYCJhUsq4iGCimtE3ci8G4PTdVcxWKoO3+zBo8hGVpDk9G1laavGmrmsSZ4vU016/udJo1w41jkE1DO516s1NV3bml6U8RiQERoM85xzcXgqxWCpfLVXHuRVdWBSWLDOo=;"; from = "\"Walther B\U00F8\" <lunsjtid@b2bdeals.info>"; "list-unsubscribe" = "<http://b2bdeals.info/unsubscribe.php?M=15945&amp;C=882dc0dc9d1f00fda203727418909689&amp;L=1&amp;N=2>&quot;; "message-id" = "<fc4326028c7099c9b7721768f191210c@b2bdeals.info>"; "mime-version" = "1.0"; received = ("from mta1e-out.mail.zscaler.net ([95.172.88.23]) by hove-lysdesign.no with Microsoft SMTPSVC(6.0.3790.4675); Thu, 22 Nov 2012 23:31:56 +0100", "from smtp1.b2bdeals.info ([216.114.67.65])by mta1e.mail.zscaler.net ([95.172.88.18])with ESMTP id 50AEA7DB110C000D;Thu, 22 Nov 2012 14:31:55 -0800"); "reply-to" = "lunsjtid@b2bdeals.info"; "return-path" = "bounce2@b2bdeals.info"; subject = "\U00C5rets Julegaveforslag til ansatte og forretningsforbindelser"; to = "post@hove-lysdesign.no"; "x-mailer-lid" = 1; "x-mailer-recptid" = 15945; "x-mailer-sent-by" = 1; "x-mailer-sid" = 2; "x-originalarrivaltime" = "22 Nov 2012 22:31:56.0695 (UTC) FILETIME=[2DF76270:01CDC901]"; "x-php-originating-script" = "48:email.php"; "x-zscaler" = "score=0 iprep=0 v=2.0 cv=LNbRtuq9 c=1 sm=2 a=VwQV3CfmW/wAiSmHSJnNzg==:17 a=TQig9nyLG3MA:10 a=0rsfSqTdmtsA:10 a=jPJDawAOAc8A:10 a=f125mT680E0A:10 a=lC8uKkGJAAAA:8 a=LRac_gl731MA:10 a=E5RIb2eFuxHTFJJcCXgA:9 a=QEXdDO2ut3YA:10 a=vUfrJpr6CM0A:10 a=yC6AvgWgkjgA:10 a=Ye8d2JQ513UA:10 a=NWVoK91CQyQA:10 a=Tk7SfkanmV3tOK424dgA:9 a=tXsnliwV7b4A:10 a=O0QuTOOqc30A:10 a=GEUbSft7xdoA:10 a=iTjQwLxq-CBjfwrz:21 a=XFezxwGAa2Im7ESOOhUA:9 a=1VqFK4TplAA:10 a=phB83tPY2mq9E6Hg:18 a=C14PwEFZ01VakhZ4QMUA:9 a=KQqxNPgzF0kA:10 a=m86Xan-EPKNR-MlX:18 a=tGNOyam75cCqjoyJu00A:9 a=NksRCJ-fSQeqibLe:21 a=Imol6v92Ayb1SMJF:21 a=6c5tpbTlHzeSPVou:18 a=NsOwj-WIYB4TTJnvEdsA:9 a=F9kThLbQiYnuAuu:18 a=VwQV3CfmW/wAiSmHSJnNzg==:117"; } body=<NGMimeMultipartBody[0x0x7fed08c67db0]: suffix=

parts=("<NGMimeBodyPart[0x0x7fed08c6c9f0]: header={\"content-type\" = \"<NGMimeType: multipart/alternative; boundary=b3_17c24ad2d8bea1fada25d8552d4b0cec>\"; } bodyClass=NGMimeMultipartBody body=<NGMimeMultipartBody[0x0x7fed08c6c350]: parts=(\"<NGMimeBodyPart[0x0x7fed08c7def0]: header={\\"content-type\\" = \\"<NGMimeType: text/plain; charset=utf-8>\\"; } bodyClass=NGMimeFileData body=<0x0x7fed08c6cd10[NGMimeFileData]: path=/tmp/OGo516554958F6014E.tmp>>\", \"<NGMimeBodyPart[0x0x7fed08c86490]: header={\\"content-type\\" = \\"<NGMimeType: text/html; charset=utf-8>\\"; } bodyClass=NGMimeFileData body=<0x0x7fed08c6d350[NGMimeFileData]: path=/tmp/OGo516554958F6014F.tmp>>\")>>", "<NGMimeBodyPart[0x0x7fed08c6ea20]: header={\"content-id\" = \"<89b5cd114b2af9fd9dc005687d43f835>\"; \"content-type\" = \"<NGMimeType: image/gif>\"; } bodyClass=NSDataMalloc body[len=4087]>", "<NGMimeBodyPart[0x0x7fed08c6d490]: header={\"content-id\" = \"<7555f1435a3fc03801ce71d4a1d0c5e2>\"; \"content-type\" = \"<NGMimeType: image/jpeg>\"; } bodyClass=NSDataMalloc body[len=20192]>", "<NGMimeBodyPart[0x0x7fed08c73f30]: header={\"content-id\" = \"<05ebb4d75a6c2102277a46e4a1eb626b>\"; \"content-type\" = \"<NGMimeType: image/jpeg>\"; } bodyClass=NSDataMalloc body[len=13302]>", "<NGMimeBodyPart[0x0x7fed08c73a40]: header={\"content-id\" = \"<a007ef8efea2e8274260d07f8af209bd>\"; \"content-type\" = \"<NGMimeType: image/gif>\"; } bodyClass=NSDataMalloc body[len=7103]>", "<NGMimeBodyPart[0x0x7fed08ca9e00]: header={\"content-id\" = \"<6b2f0a69ce95007ac814d55a714bfe39>\"; } bodyClass=NSConstantString bodyLen=0 body=>")>>

ludovic

ludovic

2014-12-20 10:07

administrator   ~0007915

Attach the EML version! The mail s from lunsjtid@b2bdeals.info and was sent on 2012-11-22 08:57:31 -0600.

It's probably utterly malformatted.

Sigurd Holter

Sigurd Holter

2014-12-20 10:09

reporter  

497.eml (69,368 bytes)
Sigurd Holter

Sigurd Holter

2014-12-20 10:09

reporter   ~0007916

Yes, the EML is attached, I had to search through 30k mails first to find it ...

ludovic

ludovic

2014-12-20 10:15

administrator   ~0007917

Can you check to see if you also have issues with the webmail?

Ie. try to open it or forward it as inline and as attachment.

Sigurd Holter

Sigurd Holter

2014-12-20 10:23

reporter   ~0007918

Opens fine in webmail.
Forward from webmail to webmail makes HTML formatting disappear but images remain.
Can't seem to find a way to forward as attachment from webmail ?

Sigurd Holter

Sigurd Holter

2014-12-20 10:25

reporter  

Sigurd Holter

Sigurd Holter

2014-12-20 10:26

reporter  

Sigurd Holter

Sigurd Holter

2014-12-20 10:26

reporter   ~0007919

Attached screenshots of original mail and forwarded mail.

ludovic

ludovic

2014-12-20 15:34

administrator   ~0007922

https://github.com/inverse-inc/sope/commit/901137b5425579ef6dcf99f731bc9c528a871cd0

Issue History

Date Modified Username Field Change
2014-12-20 02:43 Sigurd Holter New Issue
2014-12-20 02:55 Sigurd Holter Note Added: 0007904
2014-12-20 07:25 ludovic Note Added: 0007905
2014-12-20 09:23 Sigurd Holter Note Added: 0007907
2014-12-20 09:24 Sigurd Holter Note Added: 0007908
2014-12-20 09:24 Sigurd Holter Note Added: 0007909
2014-12-20 09:48 ludovic Note Added: 0007910
2014-12-20 09:56 Sigurd Holter Note Added: 0007911
2014-12-20 09:56 Sigurd Holter Note Added: 0007912
2014-12-20 09:59 ludovic Note Added: 0007913
2014-12-20 10:04 Sigurd Holter Note Added: 0007914
2014-12-20 10:07 ludovic Note Added: 0007915
2014-12-20 10:09 Sigurd Holter File Added: 497.eml
2014-12-20 10:09 Sigurd Holter Note Added: 0007916
2014-12-20 10:15 ludovic Note Added: 0007917
2014-12-20 10:23 Sigurd Holter Note Added: 0007918
2014-12-20 10:25 Sigurd Holter File Added: Screenshot from 2014-12-20 16:24:13.png
2014-12-20 10:26 Sigurd Holter File Added: Screenshot from 2014-12-20 16:24:27.png
2014-12-20 10:26 Sigurd Holter Note Added: 0007919
2014-12-20 15:34 ludovic Note Added: 0007922
2014-12-20 15:34 ludovic Status new => resolved
2014-12-20 15:34 ludovic Fixed in Version => 2.2.13
2014-12-20 15:34 ludovic Resolution open => fixed
2014-12-20 15:34 ludovic Assigned To => ludovic